Bug 255934 - archivers/zstd: Update to 1.5.0
Summary: archivers/zstd: Update to 1.5.0
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL: https://github.com/facebook/zstd/rele...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-16 20:24 UTC by Daniel Engberg
Modified: 2021-06-14 17:38 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Patch for zstd (19.51 KB, patch)
2021-05-16 20:24 UTC, Daniel Engberg
no flags Details | Diff
Patch for zstd v2 (19.51 KB, patch)
2021-05-22 07:33 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-05-16 20:24:56 UTC
Created attachment 225007 [details]
Patch for zstd

Update zstd to 1.5.0
Backport PR 2648 from upstream
PORTVERSION --> DISTVERSION
Set update Python requirement to 3.6+ as that's the oldest version of 3.x in tree
Make static library optional and non default

Compile and run-time tested on 13.0-STABLE #0 stable/13-n245227-5ec4eb443e8 (amd64) (make, make check-plist, make test)
Compile and run-time tested on 13.0-STABLE #0 stable/13-n245283-70a2e9a3d44 (arm64) (make, make check-plist, make test) [1]
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)

[1] Test 5 and 11 fails due timeout, slow hardware (RockPro64)
Comment 1 Daniel Engberg 2021-05-22 07:27:28 UTC
Friendly ping
Comment 2 Daniel Engberg 2021-05-22 07:33:25 UTC
Created attachment 225166 [details]
Patch for zstd v2

Fix typo, python:3.7+,build --> python:3.6+,build
Comment 3 Daniel Engberg 2021-06-14 17:38:13 UTC
Alternative variant committed without PR2648 applied
Commit: 7cb3066e8f2e50751b1b80cc47e01c20402033ce